package com.tencent.mm.pluginsdk.g.a.c;

import android.os.Process;
import com.tencent.mm.pluginsdk.g.a.c.f.b;

public abstract class f$d<Req extends b> implements Runnable {
    private final Req vfb;

    /* Access modifiers changed, original: protected */
    public Req awh() {
        return this.vfb;
    }

    protected f$d(Req req) {
        this.vfb = req;
    }

    public void run() {
        if (Process.getThreadPriority(Process.myTid()) != 10) {
            Process.setThreadPriority(10);
        }
    }
}
